### Function

# Gimp displays_reconnect

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_displays_reconnect (
      GimpImage* old_image,
      GimpImage* new_image
    )

#### Description [src]

Reconnect displays from one image to another image.

This procedure connects all displays of the old_image to the new_image. If the old_image has no display or new_image already has a display the reconnect is not performed and the procedure returns without success. You should rarely need to use this function.

Available since: 3.0

#### Parameters

`old_image`

  Type: `GimpImage`

  The old image (must have at least one display).

  The data is owned by the caller of the function.

`new_image`

  Type: `GimpImage`

  The new image (must not have a display).

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.